Purpose / Scope
===============

This page will document how to demonstrate an end to end voice/audio solution
over proprietary RF with an extremly low latency.

The default frequency is 433.0 MHz. In order to change frequency, modify the
smartrf_settings file. This can be done using the code export feature in
Smart RF Studio, or directly in the file.

Streaming Voice over Proprietary RF
===================================

Some quick facts about voice over Proprietary RF:

 - `CC3200AUDBOOST BoosterPack`
 - Sample rate: `44.1 kHz`
 - Bit Depth: `16 bits`
 - Compression mechanism: `none`
 - PHY: cf. smartrf_settings 

Prerequisites
=============

#### Hardware Requirements

Before running the demo, the user will need the following components:

- At least two voice enabled development kits:
  [CC1352P-4 LaunchPad](http://www.ti.com/tool/LAUNCHXL-CC1352P) with
  CC3200AUDBOOST
- One set of headphones
- One audio source (e.g. smartphone)

_Note: - Apple headphones will not work with the CC3200 BoosterPack_

Some modifications are required for the `CC3200AUDBOOST` to work with the
CC13x2 LaunchPads. See the Quick Start Guide for more information.

Running the Demo
================

#### Hardware Setup

 - Seat the `CC3200AUDBOOST` on the `CC13X2P1_LAUNCHXL` as shown in the photo
   below
 - Attach a compatible audio source to the `LINE IN` connector on the
   `CC3200AUDBOOST` of the board used as transmitter
 - Attach a compatible set of headphones to the `LINE OUT` connector on the
   `CC3200AUDBOOST` of the board used as receiver

![Audio Setup](resources/audioSetup.jpg)

#### Software Setup

 - Build and download the `rfAudioRx_LowLatency` project on the board(s) chosen as receiver(s)
 - Build and download the `rfAudioTx_LowLatency` project on the board chosen as transmitter

 There is no limit on the number of receiver. Only one transmitter can be used at the time.

 _Note: Please make sure to not use rfAudioRx or rfAudioTx while running this example_

Demo LED states
===============

The receiver'sred LED is toggled every `RX_LED_TOGGLE_FREQUENCY` (20) packets received.
The transmitter's green LED is toggled every `TX_LED_TOGGLE_FREQUENCY` (50) packets sent.
